# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"Zeus Lite 3.98b_is1",
   "name":"Zeus Lite (All users)",
   "version":"3.98b",
   "install_date":"2024-05-16 00:00:00",
   "install_location":"C:\\Program Files (x86)\\Zeus Lite\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\Zeus Lite\\unins000.exe\"",
   "publisher":"Xidicone P/L",
   "system_component":0,
   "win64":false
  

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    def get_version(key):
        zlexe = makepath(key['install_location'],"zl.exe")
        return str(Version(get_file_properties(zlexe)["FileVersion"],members_count=2))

    # Installing the software
    install_exe_if_needed('mysetup.exe',
        silentflags='/VERYSILENT /allusers',
        name='Zeus Lite',
        min_version=control.get_software_version(),
        get_version=get_version
    )



